public class BruteForceSearcher extends TextSearcher {
  
  public int search(String text, String pattern, boolean wholeWordOnly) {
    int result = 0;
    for (int i=0; i <= text.length() - pattern.length(); i++) {
      if (text.charAt(i) == pattern.charAt(0)) {
        int j = 1;
        while (j < pattern.length() && pattern.charAt(j) == text.charAt(i+j)) {
          j++;
        }
        if (j == pattern.length()) {
          String s = text.substring(i, i+ pattern.length());
          if (!wholeWordOnly || isWholeWord(text, i, i + pattern.length())) {
            result++;
          }
        }
      }
    }
    return result;
  }
  
  public static boolean isWholeWord(String text, int start, int end) {
    return 
         (start == 0 
          || !Character.isLetter(text.charAt(start-1)))
      && (end == text.length()-1 
          || !Character.isLetter(text.charAt(end)));
  }
  
}
